Get remote filter options for a catalog-backed company-list filter
curl --request GET \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/filter-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/filter-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/filter-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/filter-options")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/filter-options",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/company-lists/filter-options"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"options": [
{
"label": "Software Development",
"value": "<string>",
"children": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"stale": false,
"error": "Failed to load filter options"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}CompanyList
Get remote filter options for a catalog-backed company-list filter
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
supersearch-enrichment
/
company-lists
/
filter-options
Get remote filter options for a catalog-backed company-list filter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minimum string length:
1Example:
"theirstack_industries"
Example:
"soft"
Required range:
1 <= x <= 500Example:
100
⌘I